# Type specifications

## ProductListingDiscount

| Property             | Type                                                             | Description                                                                                                                                                         |
| -------------------- | ---------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Brand                | string                                                           | Product Brand                                                                                                                                                       |
| SKU                  | string                                                           | Product SKU                                                                                                                                                         |
| Marketplace          | integer                                                          | <p>Marketplace in which the product listing is placed on.</p><p> </p><p>See marketplaces ID section and the GET marketplaces endpoint for the coding reference.</p> |
| ExternalPublications | [#externalpublicationslist](#externalpublicationslist "mention") | List of the marketplace publications ID for updating status.                                                                                                        |
| DiscountPercent      | decimal                                                          | <p>The value of the requested discount.</p><p> </p><p>Valid values are in the range from 0.00 to 100.00.</p>                                                        |
| StartDate            | datetime (UTC with NO user time zone)                            | <p>The date and time from which the discount is activated.</p><p> </p><p>Example:</p><p>"2021-09-01T23:17:33.638Z”</p><p> </p><p>Means 20:17:33 in GMT-3</p>        |
| FinishDate           | datetime (UTC with NO user time zone)                            | <p>The date and time from which the discount is no longer valid.</p><p> </p><p>Example:</p><p>"2021-09-03T20:17:33.638Z”</p><p> </p><p>Means 17:17:33 in GMT-3</p>  |

### **ExternalPublicationsList**

| Property | Type   | Description                                                                                                           |
| -------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| ID       | string | <p>Marketplace assigned ID for the product listing.</p><p> </p><p>The ID depends on each one of the marketplaces.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/product-listings/post-methods/set-product-listings-discounts/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
